Create Folder
Create a folder inside a video workspace. Optionally provide parent_id to create a nested folder.
Path Parameters
- Type: stringworkspace
_id requiredVideo workspace id.
Body
application/json
- Type: stringnamerequired
Folder name.
- Type: string | nullparent
_id Parent folder id. Send
nullor omit it to create a root-level folder.
Responses
- application/json
- application/json
Request Example for post/video/workspaces/{workspace_id}/folders
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const folder = await client.folders.create('workspaceId', { name: 'Course Assets', parent_id: null });
console.log(folder);
{
"id": "67e4f01d403562dbea6542d4",
"name": "Course Assets",
"video_source_id": "67e4ece9403562dbea65425f",
"parent_id": null,
"path": [],
"path_names": [],
"depth": 0,
"subdirectory_count": 0,
"asset_count": 0,
"created_at": "2026-03-18T10:00:00.000Z",
"updated_at": "2026-03-18T10:00:00.000Z"
}
